// creator  : weidu.exe (version 23100)
// argument : BAMNG01.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~BAMNG01~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 4 5 even though they appear after this state */
~RandomNum(4,1)
~ THEN BEGIN 0 // from:
  SAY #28436 /* ~I'm not on duty, citizen.  If you got yourself a problem, go see somebody else.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 /* Triggers after states #: 4 5 even though they appear after this state */
~RandomNum(4,2)
~ THEN BEGIN 1 // from:
  SAY #28437 /* ~Watch your step.  Between beggars and thieves, I've had a difficult enough day.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 /* Triggers after states #: 4 5 even though they appear after this state */
~RandomNum(4,3)
~ THEN BEGIN 2 // from:
  SAY #28438 /* ~I'm not responsible for whatever the Council does, can't you people get that through your head?~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #5 /* Triggers after states #: 4 5 even though they appear after this state */
~RandomNum(4,4)
~ THEN BEGIN 3 // from:
  SAY #28439 /* ~Be wary of those mercenaries from Riatavin upstairs... Dennis and his fellows are e'er up to no good.  We'll get them, eventually.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~InParty("Yoshimo")
See("Yoshimo")
!StateCheck("Yoshimo",STATE_SLEEPING)
RandomNum(2,1)
Global("bamng01Yoshimo","GLOBAL",0)
~ THEN BEGIN 4 // from:
  SAY #28440 /* ~You there... I recognize you, I think.  Watch your step around here, thief.~ */
  IF ~~ THEN DO ~SetGlobal("bamng01Yoshimo","GLOBAL",1)
~ EXTERN ~YOSHJ~ 19
END

IF WEIGHT #1 ~InParty("Viconia")
See("Viconia")
!StateCheck("Viconia",STATE_SLEEPING)
RandomNum(2,1)
Global("bamng01Viconia","GLOBAL",0)
~ THEN BEGIN 5 // from:
  SAY #28442 /* ~What's this?  A black elf?  Here?~ */
  IF ~~ THEN DO ~SetGlobal("bamng01Viconia","GLOBAL",1)
~ EXTERN ~VICONIJ~ 21
END
